Nerd Font conflict prevent garuda-update on fresh install

Hello,

I just installed Garuda Linux again and i cant upgrade the system.

Here is the output of garuda-inxi :

System:
Kernel: 6.0.2-zen1-1-zen arch: x86_64 bits: 64 compiler: gcc v: 12.2.0
parameters: BOOT_IMAGE=/@/boot/vmlinuz-linux-zen
root=UUID=e5917772-a2be-492d-ac93-a4e79f35b9e0 rw [email protected]
quiet quiet splash rd.udev.log_priority=3 vt.global_cursor_default=0
loglevel=3
Console: pty pts/1 wm: kwin_x11 DM: SDDM Distro: Garuda Linux
base: Arch Linux
Machine:
Type: Desktop System: Micro-Star product: MS-7B50 v: 1.0 serial: N/A
Mobo: Micro-Star model: MPG Z390M GAMING EDGE AC (MS-7B50) v: 1.0
serial: <filter> UEFI: American Megatrends v: 1.50 date: 03/22/2019
Battery:
Device-1: hidpp_battery_0 model: Logitech Wireless Mouse MX Master 3
serial: <filter> charge: 50% (should be ignored) rechargeable: yes
status: discharging
CPU:
Info: model: Intel Core i5-9600K socket: LGA1151 (U3E1) note: check
bits: 64 type: MCP arch: Coffee Lake gen: core 9 level: v3 note: check
built: 2018 process: Intel 14nm family: 6 model-id: 0x9E (158)
stepping: 0xC (12) microcode: 0xF0
Topology: cpus: 1x cores: 6 smt: <unsupported> cache: L1: 384 KiB
desc: d-6x32 KiB; i-6x32 KiB L2: 1.5 MiB desc: 6x256 KiB L3: 9 MiB
desc: 1x9 MiB
Speed (MHz): avg: 4491 high: 4504 min/max: 800/4700 base/boost: 3700/8300
scaling: driver: intel_pstate governor: performance volts: 1.0 V
ext-clock: 100 MHz cores: 1: 4504 2: 4495 3: 4485 4: 4462 5: 4500 6: 4501
bogomips: 44398
Flags: avx avx2 ht lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx
Vulnerabilities:
Type: itlb_multihit status: KVM: VMX disabled
Type: l1tf status: Not affected
Type: mds mitigation: Clear CPU buffers; SMT disabled
Type: meltdown status: Not affected
Type: mmio_stale_data mitigation: Clear CPU buffers; SMT disabled
Type: retbleed mitigation: IBRS
Type: spec_store_bypass mitigation: Speculative Store Bypass disabled via
prctl
Type: spectre_v1 mitigation: usercopy/swapgs barriers and __user pointer
sanitization
Type: spectre_v2 mitigation: IBRS, IBPB: conditional, RSB filling,
PBRSB-eIBRS: Not affected
Type: srbds mitigation: Microcode
Type: tsx_async_abort mitigation: TSX disabled
Graphics:
Device-1: Intel CoffeeLake-S GT2 [UHD Graphics 630] vendor: Micro-Star MSI
driver: i915 v: kernel arch: Gen-9.5 process: Intel 14nm built: 2016-20
ports: active: none empty: DP-1, HDMI-A-1, HDMI-A-2, HDMI-A-3
bus-ID: 00:02.0 chip-ID: 8086:3e98 class-ID: 0380
Device-2: NVIDIA GP104 [GeForce GTX 1070] driver: nvidia v: 520.56.06
alternate: nouveau,nvidia_drm non-free: 515.xx+ status: current (as of
2022-10) arch: Pascal code: GP10x process: TSMC 16nm built: 2016-21 pcie:
gen: 3 speed: 8 GT/s lanes: 16 bus-ID: 01:00.0 chip-ID: 10de:1b81
class-ID: 0300
Display: x11 server: X.Org v: 21.1.4 with: Xwayland v: 22.1.3
compositor: kwin_x11 driver: X: loaded: modesetting,nvidia
unloaded: nouveau alternate: fbdev,intel,nv,vesa dri: iris
gpu: i915,nvidia display-ID: :0 screens: 1
Screen-1: 0 s-res: 3840x2160 s-dpi: 60 s-size: 1626x914mm (64.02x35.98")
s-diag: 1865mm (73.44")
Monitor-1: HDMI-0 res: 3840x2160 hz: 60 dpi: 61
size: 1600x900mm (62.99x35.43") diag: 1836mm (72.27") modes: N/A
OpenGL: renderer: NVIDIA GeForce GTX 1070/PCIe/SSE2 v: 4.6.0 NVIDIA
520.56.06 direct render: Yes
Audio:
Device-1: Intel Cannon Lake PCH cAVS vendor: Micro-Star MSI
driver: snd_hda_intel v: kernel bus-ID: 1-1:2 chip-ID: 1038:12e0
alternate: snd_soc_skl,snd_sof_pci_intel_cnl bus-ID: 00:1f.3
class-ID: 0300 chip-ID: 8086:a348 class-ID: 0403
Device-2: NVIDIA GP104 High Definition Audio driver: snd_hda_intel
v: kernel pcie: gen: 3 speed: 8 GT/s lanes: 16 bus-ID: 01:00.1
chip-ID: 10de:10f0 class-ID: 0403
Device-3: SteelSeries ApS Arctis Nova Pro Wireless type: USB
driver: hid-generic,snd-usb-audio,usbhid
Sound API: ALSA v: k6.0.2-zen1-1-zen running: yes
Sound Server-1: PulseAudio v: 16.1 running: no
Sound Server-2: PipeWire v: 0.3.59 running: yes
Network:
Device-1: Intel Cannon Lake PCH CNVi WiFi driver: iwlwifi v: kernel
bus-ID: 00:14.3 chip-ID: 8086:a370 class-ID: 0280
IF: wlo1 state: down mac: <filter>
Device-2: Intel Ethernet I219-V vendor: Micro-Star MSI driver: e1000e
v: kernel port: N/A bus-ID: 00:1f.6 chip-ID: 8086:15bc class-ID: 0200
IF: eno2 state: up speed: 1000 Mbps duplex: full mac: <filter>
Bluetooth:
Device-1: Intel Bluetooth 9460/9560 Jefferson Peak (JfP) type: USB
driver: btusb v: 0.8 bus-ID: 1-14:11 chip-ID: 8087:0aaa class-ID: e001
Report: bt-adapter ID: hci0 rfk-id: 1 state: up address: <filter>
Drives:
Local Storage: total: 3.18 TiB used: 14.96 GiB (0.5%)
ID-1: /dev/nvme0n1 maj-min: 259:0 vendor: Samsung model: SSD 970 EVO Plus
500GB size: 465.76 GiB block-size: physical: 512 B logical: 512 B
speed: 31.6 Gb/s lanes: 4 type: SSD serial: <filter> rev: 2B2QEXM7
temp: 33.9 C scheme: GPT
SMART: yes health: PASSED on: 1y 188d 9h cycles: 1,527
read-units: 126,347,359 [64.6 TB] written-units: 109,053,908 [55.8 TB]
ID-2: /dev/sda maj-min: 8:0 vendor: Seagate model: ST2000DM001-1ER164
family: Barracuda 7200.14 (AF) size: 1.82 TiB block-size: physical: 4096 B
logical: 512 B sata: 3.1 speed: 6.0 Gb/s type: HDD rpm: 7200
serial: <filter> rev: CC25 temp: 35 C scheme: GPT
SMART: yes state: enabled health: PASSED on: 3y 232d 19h cycles: 3559
read: 132.16 TiB written: 27.95 TiB Pre-Fail: reallocated sector: 100
threshold: 10 attribute: Spin_Retry_Count value: 100 worst: 100
threshold: 97
ID-3: /dev/sdb maj-min: 8:16 vendor: Seagate model: ST1000DM003-1CH162
family: Barracuda 7200.14 (AF) size: 931.51 GiB block-size:
physical: 4096 B logical: 512 B sata: 3.1 speed: 6.0 Gb/s type: HDD
rpm: 7200 serial: <filter> rev: CC47 temp: 35 C scheme: GPT
SMART: yes state: enabled health: PASSED on: 4y 171d 4h cycles: 4487
read: 52.04 TiB written: 32.45 TiB Pre-Fail: attribute: Spin_Retry_Count
value: 100 worst: 100 threshold: 97
Partition:
ID-1: / raw-size: 52.17 GiB size: 52.17 GiB (100.00%) used: 14.91 GiB
(28.6%) fs: btrfs block-size: 4096 B dev: /dev/nvme0n1p7 maj-min: 259:7
ID-2: /boot/efi raw-size: 100 MiB size: 99.2 MiB (99.21%) used: 47.1 MiB
(47.5%) fs: vfat block-size: 512 B dev: /dev/nvme0n1p2 maj-min: 259:2
ID-3: /home raw-size: 52.17 GiB size: 52.17 GiB (100.00%) used: 14.91 GiB
(28.6%) fs: btrfs block-size: 4096 B dev: /dev/nvme0n1p7 maj-min: 259:7
ID-4: /var/log raw-size: 52.17 GiB size: 52.17 GiB (100.00%) used: 14.91
GiB (28.6%) fs: btrfs block-size: 4096 B dev: /dev/nvme0n1p7
maj-min: 259:7
ID-5: /var/tmp raw-size: 52.17 GiB size: 52.17 GiB (100.00%) used: 14.91
GiB (28.6%) fs: btrfs block-size: 4096 B dev: /dev/nvme0n1p7
maj-min: 259:7
Swap:
Kernel: swappiness: 133 (default 60) cache-pressure: 100 (default)
ID-1: swap-1 type: zram size: 15.52 GiB used: 512 KiB (0.0%)
priority: 100 dev: /dev/zram0
Sensors:
System Temperatures: cpu: 34.0 C pch: 46.0 C mobo: N/A gpu: nvidia
temp: 44 C
Fan Speeds (RPM): N/A gpu: nvidia fan: 0%
Info:
Processes: 242 Uptime: 6m wakeups: 3 Memory: 15.52 GiB used: 3.41 GiB
(21.9%) Init: systemd v: 251 default: graphical tool: systemctl
Compilers: gcc: 12.2.0 Packages: pm: pacman pkgs: 1830 libs: 515
tools: octopi,paru Shell: garuda-inxi (sudo) default: Bash v: 5.1.16
running-in: konsole inxi: 3.3.22
Garuda (2.6.8-1):
System install date:     2023-01-19
Last full system update: 2023-01-19
Is partially upgraded:   Yes
Relevant software:       NetworkManager
Windows dual boot:       Yes
Snapshots:               Snapper
Failed units:

Here is the end of the output from garuda-update :

looking for conflicting packages...
error: unresolvable package conflicts detected
error: failed to prepare transaction (conflicting dependencies)
:: ttf-fantasque-nerd and nerd-fonts-fantasque-sans-mono are in conflict

I tried to uninstall those but they are required for solarized edition.

I guess it has something to do with nerd-fonts-fantasque-sans-mono (wich has been updated today).

I tried pacman -R (and -Su) on both package but it do not fix the problem.

Thanks for the help

Welcome :slight_smile:

garuda-update

maybe solve your problem.
It works just fine here.

Summary
šŸ•™ 20:07:43
Ī» update
:: Synchronizing package databases...
garuda                           98,4 KiB   161 KiB/s 00:01 [--------------------------------] 100%
core is up to date
extra                          1744,3 KiB  4,26 MiB/s 00:00 [--------------------------------] 100%
community                         7,2 MiB  6,89 MiB/s 00:01 [--------------------------------] 100%
multilib is up to date
chaotic-aur                       2,3 MiB  2,00 MiB/s 00:01 [--------------------------------] 100%
spawn pacman -Su
:: Starting full system upgrade...
warning: garuda-fastfetch-git: local (r1628.80b06ac-1) is newer than garuda (r1314.d746d5bf-1)
:: Replace nerd-fonts-fantasque-sans-mono with community/ttf-fantasque-nerd? [Y/n] y
resolving dependencies...
looking for conflicting packages...

Packages (13) cmake-3.25.2-1  crow-translate-2.10.2-1  editorconfig-core-c-0.12.6-1  exiv2-0.27.6-1
garuda-fish-config-1.5.9-1  nerd-fonts-fantasque-sans-mono-2.3.1-1 [removal]
qt5-base-5.15.8+kde+r174-1  rtw89-dkms-git-1:r366.fce040c-1  suitesparse-7.0.0-1
ttf-fantasque-nerd-2.3.1-2  ttf-firacode-nerd-2.3.1-2  ttf-iosevka-nerd-2.3.1-2
vlc-git-4.0.0.r22147.g142317c38d-1

Total Download Size:    147.65 MiB
Total Installed Size:  1385.20 MiB
Net Upgrade Size:         0.13 MiB

:: Proceed with installation? [Y/n]
:: Retrieving packages...
editorconfig-core-c-0.12.6...    31.3 KiB   180 KiB/s 00:00 [--------------------------------] 100%
garuda-fish-config-1.5.9-1-any    9.7 KiB  24.9 KiB/s 00:00 [--------------------------------] 100%
rtw89-dkms-git-1:r366.fce0...   543.8 KiB   792 KiB/s 00:01 [--------------------------------] 100%
crow-translate-2.10.2-1-x86_64 1142.4 KiB  1328 KiB/s 00:01 [--------------------------------] 100%
ttf-fantasque-nerd-2.3.1-2-any    2.1 MiB  2.18 MiB/s 00:01 [--------------------------------] 100%
exiv2-0.27.6-1-x86_64          1963.2 KiB  1899 KiB/s 00:01 [--------------------------------] 100%
ttf-firacode-nerd-2.3.1-2-any     2.5 MiB  2.04 MiB/s 00:01 [--------------------------------] 100%
vlc-git-4.0.0.r22147.g1423...    16.6 MiB  9.16 MiB/s 00:02 [--------------------------------] 100%
cmake-3.25.2-1-x86_64            10.8 MiB  4.87 MiB/s 00:02 [--------------------------------] 100%
qt5-base-5.15.8+kde+r174-1...    13.0 MiB  4.96 MiB/s 00:03 [--------------------------------] 100%
suitesparse-7.0.0-1-x86_64       20.8 MiB  6.92 MiB/s 00:03 [--------------------------------] 100%
ttf-iosevka-nerd-2.3.1-2-any     78.2 MiB  16.6 MiB/s 00:05 [--------------------------------] 100%
Total (12/12)                   147.6 MiB  31.2 MiB/s 00:05 [--------------------------------] 100%
(12/12) checking keys in keyring                             [--------------------------------] 100%
(12/12) checking package integrity                           [--------------------------------] 100%
(12/12) loading package files                                [--------------------------------] 100%
(12/12) checking for file conflicts                          [--------------------------------] 100%
(13/13) checking available disk space                        [--------------------------------] 100%
:: Running pre-transaction hooks...
(1/2) Performing snapper pre snapshots for the following configurations...
==> root: 40
(2/2) Remove DKMS modules
==> dkms remove --no-depmod rtw89/r327.e834edf -k 6.1.7-AMD
==> depmod 6.1.7-AMD
:: Processing package changes...
(1/1) removing nerd-fonts-fantasque-sans-mono                [--------------------------------] 100%
( 1/12) upgrading cmake                                      [--------------------------------] 100%
( 2/12) upgrading qt5-base                                   [--------------------------------] 100%
( 3/12) upgrading crow-translate                             [--------------------------------] 100%
( 4/12) upgrading editorconfig-core-c                        [--------------------------------] 100%
( 5/12) upgrading exiv2                                      [--------------------------------] 100%
( 6/12) installing ttf-fantasque-nerd                        [--------------------------------] 100%
( 7/12) upgrading garuda-fish-config                         [--------------------------------] 100%
( 8/12) upgrading rtw89-dkms-git                             [--------------------------------] 100%
( 9/12) upgrading suitesparse                                [--------------------------------] 100%
(10/12) upgrading ttf-firacode-nerd                          [--------------------------------] 100%
(11/12) upgrading ttf-iosevka-nerd                           [--------------------------------] 100%
(12/12) upgrading vlc-git                                    [--------------------------------] 100%
:: Running post-transaction hooks...
( 1/15) Arming ConditionNeedsUpdate...
( 2/15) Updating the MIME type database...
( 3/15) Install DKMS modules
==> dkms install --no-depmod rtw89/r366.fce040c -k 6.1.7-AMD
==> depmod 6.1.7-AMD
( 4/15) Updating initramfs...
:: Building initramfs for linux-amd (6.1.7-AMD)
dracut: Executing: /usr/bin/dracut --force /boot/initramfs-linux-amd.img 6.1.7-AMD
dracut: dracut module 'dash' will not be installed, because command 'dash' could not be found!
dracut: dracut module 'mksh' will not be installed, because command 'mksh' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'dbus-broker' will not be installed, because command 'dbus-broker' could not be found!
dracut: dracut module 'rngd' will not be installed, because command 'rngd' could not be found!
dracut: dracut module 'network-wicked' will not be installed, because command 'wicked' could not be found!
dracut: dracut module 'dmraid' will not be installed, because command 'kpartx' could not be found!
dracut: dracut module 'tpm2-tss' will not be installed, because command 'tpm2' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsiadm' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsid' could not be found!
dracut: dracut module 'biosdevname' will not be installed, because command 'biosdevname' could not be found!
dracut: dracut module 'memstrack' will not be installed, because command 'memstrack' could not be found!
dracut: memstrack is not available
dracut: If you need to use rd.memdebug>=4, please install memstrack and procps-ng
dracut: dracut module 'squash' will not be installed, because command 'mksquashfs' could not be found!
dracut: dracut module 'squash' will not be installed, because command 'unsquashfs' could not be found!
dracut: dracut module 'dash' will not be installed, because command 'dash' could not be found!
dracut: dracut module 'mksh' will not be installed, because command 'mksh' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'dbus-broker' will not be installed, because command 'dbus-broker' could not be found!
dracut: dracut module 'rngd' will not be installed, because command 'rngd' could not be found!
dracut: dracut module 'network-wicked' will not be installed, because command 'wicked' could not be found!
dracut: dracut module 'dmraid' will not be installed, because command 'kpartx' could not be found!
dracut: dracut module 'tpm2-tss' will not be installed, because command 'tpm2' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsiadm' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsid' could not be found!
dracut: dracut module 'memstrack' will not be installed, because command 'memstrack' could not be found!
dracut: memstrack is not available
dracut: If you need to use rd.memdebug>=4, please install memstrack and procps-ng
dracut: dracut module 'squash' will not be installed, because command 'mksquashfs' could not be found!
dracut: dracut module 'squash' will not be installed, because command 'unsquashfs' could not be found!
dracut: *** Including module: systemd ***
dracut: *** Including module: systemd-initrd ***
dracut: *** Including module: i18n ***
dracut: *** Including module: drm ***
dracut: *** Including module: plymouth ***
dracut: *** Including module: btrfs ***
dracut: *** Including module: kernel-modules ***
dracut: *** Including module: kernel-modules-extra ***
dracut: *** Including module: btrfs-snapshot-overlay ***
dracut: *** Including module: rootfs-block ***
dracut: *** Including module: terminfo ***
dracut: *** Including module: udev-rules ***
dracut: Skipping udev rule: 40-redhat.rules
dracut: Skipping udev rule: 50-firmware.rules
dracut: Skipping udev rule: 50-udev.rules
dracut: Skipping udev rule: 91-permissions.rules
dracut: Skipping udev rule: 80-drivers-modprobe.rules
dracut: Skipping udev rule: 70-persistent-net.rules
dracut: *** Including module: dracut-systemd ***
dracut: *** Including module: usrmount ***
dracut: *** Including module: base ***
dracut: *** Including module: fs-lib ***
dracut: *** Including module: shutdown ***
dracut: *** Including modules done ***
dracut: *** Installing kernel module dependencies ***
dracut: *** Installing kernel module dependencies done ***
dracut: *** Resolving executable dependencies ***
dracut: *** Resolving executable dependencies done ***
dracut: *** Hardlinking files ***
dracut: Mode:                     real
dracut: Method:                   sha256
dracut: Files:                    1412
dracut: Linked:                   102 files
dracut: Compared:                 0 xattrs
dracut: Compared:                 230 files
dracut: Saved:                    4.91 MiB
dracut: Duration:                 0.056602 seconds
dracut: *** Hardlinking files done ***
dracut: *** Generating early-microcode cpio image ***
dracut: *** Constructing AuthenticAMD.bin ***
dracut: *** Using microcode found in '/boot/amd-ucode.img' ***
dracut: *** Store current command line parameters ***
dracut: *** Stripping files ***
dracut: *** Stripping files done ***
dracut: *** Creating image file '/boot/initramfs-linux-amd.img' ***
dracut: *** Creating initramfs image file '/boot/initramfs-linux-amd.img' done ***
:: Building fallback initramfs for linux-amd (6.1.7-AMD)
dracut: Executing: /usr/bin/dracut --force --no-hostonly -o network /boot/initramfs-linux-amd-fallback.img 6.1.7-AMD
dracut: dracut module 'dash' will not be installed, because command 'dash' could not be found!
dracut: dracut module 'mksh' will not be installed, because command 'mksh' could not be found!
dracut: dracut module 'busybox' will not be installed, because command 'busybox' could not be found!
dracut: dracut module 'dbus-broker' will not be installed, because command 'dbus-broker' could not be found!
dracut: dracut module 'rngd' will not be installed, because command 'rngd' could not be found!
dracut: dracut module 'network-wicked' will not be installed, because command 'wicked' could not be found!
dracut: dracut module 'dmraid' will not be installed, because command 'kpartx' could not be found!
dracut: dracut module 'multipath' will not be installed, because command 'multipath' could not be found!
dracut: dracut module 'tpm2-tss' will not be installed, because command 'tpm2' could not be found!
dracut: dracut module 'cifs' depends on 'network', which can't be installed
dracut: dracut module 'fcoe' will not be installed, because command 'dcbtool' could not be found!
dracut: dracut module 'fcoe' will not be installed, because command 'fipvlan' could not be found!
dracut: dracut module 'fcoe' will not be installed, because command 'lldpad' could not be found!
dracut: dracut module 'fcoe' will not be installed, because command 'fcoemon' could not be found!
dracut: dracut module 'fcoe' will not be installed, because command 'fcoeadm' could not be found!
dracut: dracut module 'fcoe-uefi' will not be installed, because command 'dcbtool' could not be found!
dracut: dracut module 'fcoe-uefi' will not be installed, because command 'fipvlan' could not be found!
dracut: dracut module 'fcoe-uefi' will not be installed, because command 'lldpad' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsi-iname' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsiadm' could not be found!
dracut: dracut module 'iscsi' will not be installed, because command 'iscsid' could not be found!
dracut: dracut module 'nbd' will not be installed, because command 'nbd-client' could not be found!
dracut: dracut module 'nfs' depends on 'network', which can't be installed
dracut: dracut module 'nvmf' depends on 'network', which can't be installed
dracut: dracut module 'biosdevname' will not be installed, because command 'biosdevname' could not be found!
dracut: dracut module 'memstrack' will not be installed, because command 'memstrack' could not be found!
dracut: memstrack is not available
dracut: If you need to use rd.memdebug>=4, please install memstrack and procps-ng
dracut: dracut module 'squash' will not be installed, because command 'mksquashfs' could not be found!
dracut: dracut module 'squash' will not be installed, because command 'unsquashfs' could not be found!
dracut: *** Including module: bash ***
dracut: *** Including module: systemd ***
dracut: *** Including module: systemd-initrd ***
dracut: *** Including module: modsign ***
dracut: *** Including module: i18n ***
dracut: *** Including module: drm ***
dracut: *** Including module: plymouth ***
dracut: *** Including module: btrfs ***
dracut: *** Including module: crypt ***
dracut: *** Including module: dm ***
dracut: Skipping udev rule: 64-device-mapper.rules
dracut: Skipping udev rule: 60-persistent-storage-dm.rules
dracut: Skipping udev rule: 55-dm.rules
dracut: *** Including module: kernel-modules ***
dracut: *** Including module: kernel-modules-extra ***
dracut: *** Including module: lvm ***
dracut: Skipping udev rule: 64-device-mapper.rules
dracut: Skipping udev rule: 56-lvm.rules
dracut: Skipping udev rule: 60-persistent-storage-lvm.rules
dracut: *** Including module: mdraid ***
dracut: Skipping udev rule: 64-md-raid.rules
dracut: *** Including module: nvdimm ***
dracut: *** Including module: qemu ***
dracut: *** Including module: qemu-net ***
dracut: *** Including module: btrfs-snapshot-overlay ***
dracut: *** Including module: lunmask ***
dracut: *** Including module: resume ***
dracut: *** Including module: rootfs-block ***
dracut: *** Including module: terminfo ***
dracut: *** Including module: udev-rules ***
dracut: Skipping udev rule: 40-redhat.rules
dracut: Skipping udev rule: 50-firmware.rules
dracut: Skipping udev rule: 50-udev.rules
dracut: Skipping udev rule: 91-permissions.rules
dracut: Skipping udev rule: 80-drivers-modprobe.rules
dracut: *** Including module: dracut-systemd ***
dracut: *** Including module: usrmount ***
dracut: *** Including module: base ***
dracut: *** Including module: fs-lib ***
dracut: *** Including module: shutdown ***
dracut: *** Including modules done ***
dracut: *** Installing kernel module dependencies ***
dracut: *** Installing kernel module dependencies done ***
dracut: *** Resolving executable dependencies ***
dracut: *** Resolving executable dependencies done ***
dracut: *** Hardlinking files ***
dracut: Mode:                     real
dracut: Method:                   sha256
dracut: Files:                    3002
dracut: Linked:                   193 files
dracut: Compared:                 0 xattrs
dracut: Compared:                 824 files
dracut: Saved:                    7.05 MiB
dracut: Duration:                 0.101624 seconds
dracut: *** Hardlinking files done ***
dracut: *** Generating early-microcode cpio image ***
dracut: *** Constructing AuthenticAMD.bin ***
dracut: *** Store current command line parameters ***
dracut: *** Stripping files ***
dracut: *** Stripping files done ***
dracut: *** Creating image file '/boot/initramfs-linux-amd-fallback.img' ***
dracut: *** Creating initramfs image file '/boot/initramfs-linux-amd-fallback.img' done ***
( 5/15) Updating linux initcpios...
( 6/15) Foreign/AUR package notification
ookla-speedtest-bin 1.2.0-1
( 7/15) Orphaned package notification...
ffmpegthumbnailer 2.2.2-4
libvisual 0.4.0-8
python-pillow 9.4.0-2
python-pycurl 7.45.2-1
python-pyqt5-webengine 5.15.6-1
( 8/15) Checking for .pacnew and .pacsave files...
.pac* files found:
/etc/mkinitcpio.d/linux-amd.preset.pacsave
Please check and merge
( 9/15) Updating fontconfig cache...
(10/15) Updating 32-bit fontconfig cache...
(11/15) Updating icon theme caches...
(12/15) Updating the desktop file MIME type cache...
(13/15) Updating the vlc plugin cache...
(14/15) Performing snapper post snapshots for the following configurations...
==> root: 41
(15/15) Syncing all file systems...

--> Updating AUR packages with paru..
:: Looking for AUR upgrades...
:: Looking for devel upgrades...
there is nothing to do

System updated! šŸ§
2 Likes

Thanks :slight_smile:
It works now, super fast fix :+1:

1 Like

I can't speak to what you got but in my case that font file had to do with Fish. Rather I'm using garuda-update or topgrade I don't see why that file should not have been installed without issue. Since I use ZSH I just removed fish, fish-autopair, and garuda-fish-config.

One or the other, if not all, roads lead to Rome :slight_smile:

1 Like

Hello,

In my case, it said it is used for garuda-fishh-config. And when i tried to uninstall garuda-fish-config, it tells me that its a dependency for Dr460nized. So, cant uninstall without removing a lot of stuff as well ^^

This topic was automatically closed 2 days after the last reply. New replies are no longer allowed.